package com.jojubanking.boot.module.system.convert.deptxq;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import com.jojubanking.boot.module.system.controller.admin.dept.vo.dept.DeptSimpleRespVO;
import com.jojubanking.boot.module.system.dal.dataobject.dept.DeptDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.deptxq.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.deptxq.DeptXqDO;

/**
 * 部门 Convert
 *
 * @author admin
 */
@Mapper
public interface DeptXqConvert {

    DeptXqConvert INSTANCE = Mappers.getMapper(DeptXqConvert.class);

    DeptXqDO convert(DeptXqCreateReqVO bean);

    DeptXqDO convert(DeptXqUpdateReqVO bean);

    DeptXqRespVO convert(DeptXqDO bean);

    List<DeptXqRespVO> convertList(List<DeptXqDO> list);

    PageResult<DeptXqRespVO> convertPage(PageResult<DeptXqDO> page);

    List<DeptXqExcelVO> convertList02(List<DeptXqDO> list);
    List<DeptXqSimpleRespVO> convertList03(List<DeptXqDO> list);

}
